Woocommerce: Termék oldalon rosszul megjelő kép


#1

Sziasztok!
A problémám, hogy a termék oldalon (és a termék listában) sokszor rosszul jelenik meg a kép, az az nem az elvárt képarányoknak megfelelő. (pl. nagyon keskeny és magas)
A neten talált minden féle css varázslást mag, beálltát (ami van nincs az felületen vagy nincs hatással a dolgokra), de semmi nem segített. Puligonokkal is próbálkoztam, de ezt nem javították.

Tehát mi lehet tenni azzal, hogy ha a feltöltött kép 200x500 pixeles? Hogy oldható meg, hogy ekkor a kép függőlegesen ne nyúljon ki továbbra sem a neki szánt keretből. Köszönöm.
Zoltán


#2

Szia!
Melyik sablont használod? Esetleg privátban ha elküldöd a weboldalad címét, akkor konkrét css kódokat is megírom neked.


#3

Köszi.
Még új vagyok a fórumon és nem találom hogy kell privát üzenetet írni. Ebben tudsz segíteni?
A sablonom a Flatsome.
Ezt a CSS-t sikereült eddig összehoznom ami egész jóm működik:
.box-image {
width: 247px;
height: 296px;
}

.woocommerce ul.products li.product a img, .woocommerce div.product div.images a img {
   width: auto;
   max-height: 510px;
   margin: auto;
   display: block;
}
.woocommerce div.product div.product-thumbnails a img {
   width: auto;
   max-height: 130px;
   margin: auto;
   display: block;
}

Ami nincs benne az a terméklistára is ezt ráhúzni (csak még nem néztem meg, hogy ez e biztosan a jó selector):
.shop-container .attachment-woocommerce_thumbnail.size-woocommerce_thumbnail{
width: auto;
max-height: 296px;
margin: auto;
display: block;
}
De lehet ettől van jobb megoldás is.

Illetve a nagy bajom, hogy a tumbl-nél ugye jogosan a kicsi vágott képet használja, hogy gyorsabb legyen az oldal. Viszont a tumbl az a 200x500-as kép (pl. egy dezodor képe) közepét vágja ki. Tehát nincs meg a teljes termék képe csak a (dezodor) közepe.
Tehát jó lenne, ha a miniatűrnél is valahogy meg tudnám mondani neki, hogy mindig, vagy egy bizonyos feltétel után pótolja ki a képet és ne vágja.

Zoltán
Ami gondom


#4

Üdvözöllek!

A Wordpress verziót ellenőrizd le melyik, mert ha 5.1.1 -es akkor ott van a válasz, mert az hibás és tönkre tesz mindent az eladásban és jó pár fontos dologtól meg foszt és a pluginok sem működnek főleg a Jetpack elszakad a woocommerce-től!

A megoldást csak úgy tudsz ha esetleg létrehozol egy új oldalt egy másik verzióval pl.: 5,2,1 vagy régebbi 5.0.4 de annál lejjebb már a pluginoknak nem kompatibilis egyik sem a verzióknak. Az új oldalt is összetudod kötni a másikkal és azt csak eladásra használd!

Nagyon elcseszték és a az 5,1,1 felkínálja hogy fizess be woocomerce-be. De az sem lenne megoldás csak a verzió váltás!